/*
    Copyright (C) 2010 wpitchoune@gmail.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef _PSENSOR_CONFIG_H_
#define _PSENSOR_CONFIG_H_

#include "color.h"

struct config {
	struct color *graph_bgcolor;
	struct color *graph_fgcolor;

	double graph_bg_alpha;

	int alpha_channel_enabled;
};

/*
  Loads config from GConf
*/
struct config *config_load();

void config_init();

struct color *config_get_background_color();

struct color *config_get_foreground_color();

void config_set_background_color(struct color *);
void config_set_foreground_color(struct color *);

struct color *config_get_sensor_color(char *sensor_name,
				      struct color *default_color);

void config_set_sensor_color(char *sensor_name, struct color *color);

int config_is_alpha_channel_enabled();
void config_set_alpha_channel_enabled(int enabled);

double config_get_graph_background_alpha();
void config_set_graph_background_alpha(double alpha);

#endif
